<template>
  <v-card min-height="15vh" tile>
    <v-img :src="product.imageUrl" aspect-ratio="2.75"></v-img>

    <v-card-title primary-title>
      <div>
        <h3 class="headline mb-0">{{product.name}}</h3>
        <h4 class="subtitile">${{product.price}}</h4>
        <div>{{ product.description.slice(0, 25) }}...</div>
      </div>
    </v-card-title>

    <v-card-actions>
      <v-btn @click="addToCart" flat color="success">In winkelwagen</v-btn>
      <v-btn :to="{name: 'product', params: { id: product.id }}" flat color="orange">Meer lezen</v-btn>
    </v-card-actions>
  </v-card>
</template>

<script>
export default {
  props: ["product"],

  methods: {
    addToCart() {
      this.$store.commit("addToCart", this.product);
    }
  }
};
</script>

<style>
</style>
